SIGSUM-LOG-SECONDARY(1)

NAME
sigsum-log-secondary - Sigsum log secondary

SYNOPSIS
sigsum-log-secondary [-?] [--backend value] [--external-endpoint host:port] [--internal-endpoint host:port] [--interval value] [--key-file file] [--log-file file] [--log-level level] [--primary-url url] [--timeout value] [--trillian-rpc-server host:port] [--trillian-tree-id-file file] [--url-prefix string] [--version]

DESCRIPTION

-?, --help
    Display help.

--backend=value

    Either "trillian" (connect to an external Trillian server) or "ephemeral" (use in-memory backend, with NO persistent storage. [trillian]

--external-endpoint=host:port

    TCP listen port for serving clients. [localhost:6965]

--internal-endpoint=host:port

    Internal TCP listen port, for metrics and replication with other nodes. [localhost:6967]

--interval=value

    Interval used to rotate the log's cosigned tree head. [30s]

--key-file=file

    Key file (openssh format), either an unencrypted private key, or a public key (accessed via ssh-agent).

--log-file=file

    File to write logs to, or stderr if unset.

--log-level=level

    Log level (Available options: debug, info, warning, error). [info]

--primary-url=url

    Primary node endpoint for fetching leaves.

--timeout=value

    Timeout for outgoing requests. [10s]

--trillian-rpc-server=host:port

    TCP port for Trillian backend server. [localhost:6962]

--trillian-tree-id-file=file

    Trillian backend tree identifier. [/var/lib/sigsum-log/tree-id]

--url-prefix=string

    Optional URL prefix, preceding endpoint names such as /get-tree-head.

--version
    Display server version.